apiVersion: apps/v1
kind: Deployment
metadata:
  name: bookinfo-dev-ratings
  namespace: bookinfo-dev
  labels:
    app: bookinfo-dev-ratings
spec:
  replicas: 1
  selector:
    matchLabels:
      app: bookinfo-dev-ratings
  template:
    metadata:
      labels:
        app: bookinfo-dev-ratings
    spec:
      containers:
      - name: bookinfo-dev-ratings
        image: asia.gcr.io/my-k8s-101-395717/bookinfo-ratings:dev
        imagePullPolicy: Always
        ports:
        - containerPort: 9080
          name: web-port
          protocol: TCP
        livenessProbe:
          httpGet:
            path: /health
            port: 9080
            scheme: HTTP
        readinessProbe:
          httpGet:
            path: /health
            port: 9080
            scheme: HTTP
        env:
        - name: SERVICE_VERSION
          value: v1
      imagePullSecrets:
      - name: registry-bookinfo